from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ShadeMode(IntEnum):
    FLAT = auto()
    PHONG = auto()
    SMOOTH = auto()
    DRAFT = auto()
